## This function is used by mjplot.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function __mjplt1__ (caller, x1, fmt)

  if (nargin < 2 || nargin > 3)
    usage ("__mjplt1__ (caller, x1)\n       __mjplt1__ (caller, x1, fmt)");
  endif

  if (nargin == 2)
    fmt = "";
  endif

  if (! isstr (fmt))
    error ("__mjplt1__: fmt must be a string");
  endif

  [nr, nc] = size (x1);
  if (nr == 1)
    x1 = x1.';
    tmp = nr;
    nr = nc;
    nc = tmp;
  endif
  x1_i = imag (x1);
  if (any (any (x1_i)))
    x2 = x1_i;
    x1 = real (x1);
  else
    x2 = x1;
    x1 = (1:nr)';
  endif

  __mjplt2__ (caller, x1, x2, fmt);

endfunction
