## This function is used by __mjpltopt__.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function s = __mjpltoptlw__ (caller, pv)

  fname = "__mjpltoptlw__";
  if (nargin != 2),
    error (sprintf ("%s: expecting two arguments", fname));
  elseif (isempty (pv) || (isstr (pv) && isempty (deblank (pv)))),
    s = "";
  elseif (! isstr (pv)),
    s = sprintf ("%d", pv(1,1));
  elseif (! isempty (tmp = str2num (pv))),
    s = sprintf ("%d", tmp(1,1));
  else
    error (sprintf ("%s: unrecognized argument to LineWidth or PointSize: '%s'", caller, pv));
  endif
endfunction
