## This function is used by mjplot.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function __mjplt2ss__ (caller, x, y, fmt)
  global __mjplt_mjgraw_cmd__
  global __mjplt_il_data__

  if (nargin < 3 || nargin > 4),
    error ("__mjplt2ss__: expecting three or four arguments");
  elseif (nargin == 3),
    fmt = "";
  elseif (rows (fmt) > 1),
    fmt = fmt (1,:);
  endif

  [x_nr, x_nc] = size (x);
  [y_nr, y_nc] = size (y);

  if (x_nr == 1 && x_nr == y_nr && x_nc == 1 && x_nc == y_nc),
    __mjplt_il_data__ = sprintf ("%s%.15g %.15g\ne\n",
                                 __mjplt_il_data__,
                                 x, y);
    __mjplt_mjgraw_cmd__ = sprintf ("%s '-' %s,",
                                    __mjplt_mjgraw_cmd__, fmt);
  else
    error ("__mjplt2ss__: x and y must be scalars");
  endif
endfunction
