## This function is used by __mjpltopt__.

## Mats Jansson, May 9 2000 - June 7 2000
## Report bugs to: mats@nera.no

function s = __mjpltoptusing__ (caller, pv)
  
  fname = "__mjpltoptusing__";
  if (nargin != 2),
    error (sprintf ("%s: expecting two arguments", fname));
  endif
  
  if (! isstr (pv)),
    if (! isempty (pv)),
      tmp = sprintf ("%d:", pv);
      s = tmp(1:length (tmp) - 1); ## Remove last colon
    else
      s = "";
    endif
  else
    s = deblank (pv);
  endif
endfunction
